RDKit: RDKit::MolDraw2D_detail::AtomSymbol Class Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
RDKit::MolDraw2D_detail::AtomSymbol Class Reference

`#include <AtomSymbol.h>`

## Public Member Functions
| ~AtomSymbol ()=default
| AtomSymbol (const std::string &symbol, int atIdx, OrientType orient, const Point2D &cds, const DrawColour &colour, DrawText &textDrawer)
| AtomSymbol (const AtomSymbol &)=delete
| AtomSymbol (AtomSymbol &&)=delete
AtomSymbol & | operator= (const AtomSymbol &)=delete
AtomSymbol & | operator= (AtomSymbol &&)=delete
void | findExtremes (double &xmin, double &xmax, double &ymin, double &ymax) const
void | scale (const Point2D &scaleFactor)
void | move (const Point2D &trans)
void | recalculateRects ()
void | draw (MolDraw2D &molDrawer) const
bool | doesRectClash (const StringRect &rect, double padding) const
void | adjustColons ()
void | drawRects (MolDraw2D &molDrawer) const

## Public Attributes
std::string | symbol_
int | atIdx_
OrientType | orient_
Point2D | cds_
DrawColour | colour_
DrawText & | textDrawer_
std::vector< std::shared_ptr< StringRect > > | rects_
std::vector< TextDrawType > | drawModes_
std::vector< char > | drawChars_

## Detailed Description

Definition at line 32 of file AtomSymbol.h.

## Constructor & Destructor Documentation

## ◆ ~AtomSymbol()

RDKit::MolDraw2D_detail::AtomSymbol::~AtomSymbol | ( |  | ) |
| default

## ◆ AtomSymbol() [1/3]

RDKit::MolDraw2D_detail::AtomSymbol::AtomSymbol | ( | const std::string & | symbol,
|  | int | atIdx,
|  | OrientType | orient,
|  | const Point2D & | cds,
|  | const DrawColour & | colour,
|  | DrawText & | textDrawer )

Parameters

  symbol | : the full symbol
  atIdx | : index of atom that this is the symbol of
  orient | : text orientation (up, down, left, right)
  cds | : coords for symbol
  colour | : colour for symbol
  textDrawer | : instance of DrawText to get the character sizes etc.

References symbol.

Referenced by AtomSymbol(), AtomSymbol(), operator=(), and operator=().

## ◆ AtomSymbol() [2/3]

RDKit::MolDraw2D_detail::AtomSymbol::AtomSymbol | ( | const AtomSymbol & |  | ) |
| delete

References AtomSymbol().

## ◆ AtomSymbol() [3/3]

RDKit::MolDraw2D_detail::AtomSymbol::AtomSymbol | ( | AtomSymbol && |  | ) |
| delete

References AtomSymbol().

## Member Function Documentation

## ◆ adjustColons()

void RDKit::MolDraw2D_detail::AtomSymbol::adjustColons | ( |  | ) |

## ◆ doesRectClash()

bool RDKit::MolDraw2D_detail::AtomSymbol::doesRectClash | ( | const StringRect & | rect,
|  | double | padding ) const

## ◆ draw()

void RDKit::MolDraw2D_detail::AtomSymbol::draw | ( | MolDraw2D & | molDrawer | ) | const

## ◆ drawRects()

void RDKit::MolDraw2D_detail::AtomSymbol::drawRects | ( | MolDraw2D & | molDrawer | ) | const

## ◆ findExtremes()

void RDKit::MolDraw2D_detail::AtomSymbol::findExtremes | ( | double & | xmin,
|  | double & | xmax,
|  | double & | ymin,
|  | double & | ymax ) const

## ◆ move()

void RDKit::MolDraw2D_detail::AtomSymbol::move | ( | const Point2D & | trans | ) |

## ◆ operator=() [1/2]

AtomSymbol & RDKit::MolDraw2D_detail::AtomSymbol::operator= | ( | AtomSymbol && |  | ) |
| delete

References AtomSymbol().

## ◆ operator=() [2/2]

AtomSymbol & RDKit::MolDraw2D_detail::AtomSymbol::operator= | ( | const AtomSymbol & |  | ) |
| delete

References AtomSymbol().

## ◆ recalculateRects()

void RDKit::MolDraw2D_detail::AtomSymbol::recalculateRects | ( |  | ) |

## ◆ scale()

void RDKit::MolDraw2D_detail::AtomSymbol::scale | ( | const Point2D & | scaleFactor | ) |

## Member Data Documentation

## ◆ atIdx_

int RDKit::MolDraw2D_detail::AtomSymbol::atIdx_

Definition at line 56 of file AtomSymbol.h.

## ◆ cds_

Point2D RDKit::MolDraw2D_detail::AtomSymbol::cds_

Definition at line 58 of file AtomSymbol.h.

## ◆ colour_

DrawColour RDKit::MolDraw2D_detail::AtomSymbol::colour_

Definition at line 59 of file AtomSymbol.h.

## ◆ drawChars_

std::vector<char> RDKit::MolDraw2D_detail::AtomSymbol::drawChars_

Definition at line 64 of file AtomSymbol.h.

## ◆ drawModes_

std::vector<TextDrawType> RDKit::MolDraw2D_detail::AtomSymbol::drawModes_

Definition at line 63 of file AtomSymbol.h.

## ◆ orient_

OrientType RDKit::MolDraw2D_detail::AtomSymbol::orient_

Definition at line 57 of file AtomSymbol.h.

## ◆ rects_

std::vector<std::shared_ptr<StringRect> > RDKit::MolDraw2D_detail::AtomSymbol::rects_

Definition at line 62 of file AtomSymbol.h.

## ◆ symbol_

std::string RDKit::MolDraw2D_detail::AtomSymbol::symbol_

Definition at line 55 of file AtomSymbol.h.

## ◆ textDrawer_

DrawText& RDKit::MolDraw2D_detail::AtomSymbol::textDrawer_

Definition at line 60 of file AtomSymbol.h.

The documentation for this class was generated from the following file:

- AtomSymbol.h